Assets
Deprecated
Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.
Update an asset assignment
Deprecated
Path Parameters
id*integer
Format
int64Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/public/v1/asset_assignments/0" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'returned_on=2019-08-24'{ "data": { "id": 0, "user_id": 0, "asset_id": 0, "issued_on": "2019-08-24", "returned_on": "2019-08-24", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}